# Mods

The [`Better Leaves` resource-pack by MidnightDust](https://modrinth.com/resourcepack/better-leaves) is preinstalled.

## Included
### Performance
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement
- `Chunky Pregenerator` — pre-generate chunks (server-only)

### Graphics
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Sodium Extra` — more settings
- `Not Enough Animations` — third-person animations
- `Make Bubbles Pop`
- `BedrockWaters` — biome-specific water properties

### World-gen
#### Biomes
- `BetterNether`
- `BetterEnd`
- `Wilder Wild` — many enhancements

#### Structures
- `ChoiceTheorem's Overhauled Village` — more village types

### Building blocks
- `Adorn` — furniture
- `Cooking for Blockheads` — cooking and kitchen furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls
- `Handcrafted` — furniture
- `Chipped` — more block variants

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Better Statistics Screen`
- `EMI` — item and recipe viewer
- `EMIffect` — EMI addon for status effects
- `EMI Loot` — EMI addon for loot drops

### Compatibility
- `Indium` — `Lithium` + `Fabric Rendering API`
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures

### Miscellaneous
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Culinaire` — more food items
- `Debugify` — fixes various bugs
- `Fabric Waystones` — waystones
- `Gravestones`
- `Light Overlay`
- `Zoomify` — zoom
- `Traveler's Backpack` — backpacks
- `Mouse Tweaks`
- `Amecs` — better keybindings

### Modpack utilities
- `OneTimeOverrides`
- `Main Menu Credits`

### Library
- `Architectury API`
- `bad packets`
- `Balm`
- `Cloth Config API`
- `Dawn API`
- `Fabric API`
- `Fabric Language Kotlin`
- `oωo`
- `Cardinal Components API`
- `Resourceful Lib`
- `Athena`
- `BCLib`

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Immersive Portals`
- `Resounding` — realistic sound physics
- `Terra` — completely revamped world-gen
- `Deeper and Darker` — enhance the Deep Dark
- `Eureka` — custom ships, compatible with Create

### Alternative used
- bug-fixing mods → `Debugify`.
- `Better Recipe Book` → `EMI`
- `EditSign` → `Charm`
- `FPS - Display` → `Sodium`
- `LambDynamicLights` → `Iris Shaders`
- `Cinderscapes` → `Better Nether`
- `No Telemetry` → `Debugify`

### Too special
- `Additional Additions` — various items
- `Origins` — character classes

### Incompatible loader/version
- `Artisanat` — more block variations
- `Animal Feeding Trough`
- `Campanion` — various camping-themed items
- `Mo' Structures` — many new structures
- `YUNG's API`
- `YUNG's Better Desert Temples`
- `YUNG's Better Dungeons`
- `YUNG's Better Mineshafts`
- `YUNG's Better Ocean Monuments`